Subject: Re: How I can reset TCP sockets after long suspend/resume cyscle

From: Benny Amorsen <[email-masked]>
Date: Fri, 06 Jun 2008 10:37:12 +0200

Maxim Levitsky <[email-masked]> writes:

> This seems the right solution,
> if this is possible, why not to check for stuck TCP connections
> on resume?

Imagine a laptop on wireless going into suspend for a few minutes,
then getting woken up. If you're lucky today, the TCP connections
survive.

If you check for stuck TCP connections right after resume, you could
have problems because the wireless hasn't negotiated encryption keys
at that point. Isn't that a concern?

/Benny